### Function

# GimpUi query_double_box

#### Declaration [src]

    GtkWidget*
    gimp_query_double_box (
      const gchar* title,
      GtkWidget* parent,
      GimpHelpFunc help_func,
      const gchar* help_id,
      const gchar* message,
      gdouble initial,
      gdouble lower,
      gdouble upper,
      gint digits,
      GObject* object,
      const gchar* signal,
      GimpQueryDoubleCallback callback,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Creates a new `GtkDialog` that queries the user for a double value.

#### Parameters

`title`

  Type: `const gchar*`

  The query box dialog’s title.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parent`

  Type: `GtkWidget`

  The dialog’s parent widget.

  The data is owned by the caller of the function.

`help_func`

  Type: `GimpHelpFunc`

  The help function to show this dialog’s help page.

`help_id`

  Type: `const gchar*`

  A string identifying this dialog’s help page.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`message`

  Type: `const gchar*`

  A string which will be shown above the dialog’s entry widget.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial`

  Type: `gdouble`

  The initial value.

`lower`

  Type: `gdouble`

  The lower boundary of the range of possible values.

`upper`

  Type: `gdouble`

  The upper boundray of the range of possible values.

`digits`

  Type: `gint`

  The number of decimal digits the `GtkSpinButton` will provide.

`object`

  Type: `GObject`

  The object this query box is associated with.

  The data is owned by the caller of the function.

`signal`

  Type: `const gchar*`

  The object’s signal which will cause the query box to be closed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `GimpQueryDoubleCallback`

  The function which will be called when the user selects “OK”.

`data`

  Type: `gpointer`

  The callback’s user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data_destroy`

  Type: `GDestroyNotify`

  Destroy function for `data`.

#### Return value

Type: `GtkWidget`

A pointer to the new `GtkDialog`.

The caller of the function takes ownership of the data, and is responsible for freeing it.